Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editparts
Class APContainerEditPolicy

    java.lang.Object
      |
      +--org.eclipse.gef.editpolicies.AbstractEditPolicy
            |
            +--org.eclipse.gef.editpolicies.ContainerEditPolicy
                  |
                  +--APStudio.editparts.APContainerEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

public class APContainerEditPolicy
extends org.eclipse.gef.editpolicies.ContainerEditPolicy

Author:
  srajagop To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`APContainerEditPolicy()`

Method Summary
`org.eclipse.gef.commands.Command` | `getOrphanChildrenCommand(org.eclipse.gef.requests.GroupRequest request)`

Methods inherited from class org.eclipse.gef.editpolicies.ContainerEditPolicy
`getCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### APContainerEditPolicy

    public APContainerEditPolicy()

Method Detail

### getOrphanChildrenCommand

    public org.eclipse.gef.commands.Command getOrphanChildrenCommand(org.eclipse.gef.requests.GroupRequest request)

  Overrides:
    `getOrphanChildrenCommand` in class `org.eclipse.gef.editpolicies.ContainerEditPolicy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD